import { _ as _defineProperty } from '../_chunks/dep-a77ab85e.js';
import { _ as _objectWithoutProperties } from '../_chunks/dep-0acb3ad3.js';
import Vue from 'vue';
import IconBase from '../icon.js';
import useSizeProps from '../utils/use-size-props.js';
import 'classnames';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M1 3L23.0001 3L23.0001 20L17.5001 20L17.5001 18L21.0001 18L21.0001 5L3.00013 5L3.00099 18H6.50007V20H1.00112L1 3ZM16.9504 13.3829C14.2167 10.6492 9.78459 10.6492 7.05092 13.3829L6.34382 14.09L4.9296 12.6758L5.63671 11.9687C9.15143 8.45395 14.8499 8.45395 18.3646 11.9687L19.0717 12.6758L17.6575 14.09L16.9504 13.3829ZM14.1217 16.211C12.9501 15.0394 11.0506 15.0394 9.87905 16.211L9.17194 16.9181L7.75773 15.5039L8.46483 14.7968C10.4175 12.8442 13.5833 12.8442 15.5359 14.7968L16.243 15.5039L14.8288 16.9181L14.1217 16.211ZM12.0001 18.0858L15.9143 22L8.08585 22L12.0001 18.0858Z"
    }
  }]
};
var AirplayWave = Vue.extend({
  name: "AirplayWaveIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = _objectWithoutProperties(props, _excluded);
    var _useSizeProps = useSizeProps(size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "airplay-wave",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(IconBase, data);
  }
});

export default AirplayWave;
//# sourceMappingURL=airplay-wave.js.map
