import { _ as _defineProperty } from '../_chunks/dep-a77ab85e.js';
import { _ as _objectWithoutProperties } from '../_chunks/dep-0acb3ad3.js';
import Vue from 'vue';
import IconBase from '../icon.js';
import useSizeProps from '../utils/use-size-props.js';
import 'classnames';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M22.4144 20.9999L3.00015 1.58569L1.58594 2.99991L3.00015 4.41412L3.00016 20.9999L19.5859 20.9999L21.0002 22.4141L22.4144 20.9999ZM17.5859 18.9999H5.00016L5.00015 6.41412L10.586 11.9999L10.0841 12.502L11.5008 13.9187L12.0029 13.4168L17.5859 18.9999ZM21.0059 17.4189L21.0001 14.4999V13.4899H19.0001V15.4131L21.0059 17.4189ZM21.0002 2.9999L13.0002 2.9999V4.9999L17.5859 4.9999L13.0859 9.49991L14.5002 10.9141L19.0002 6.41412V10.9999H21.0002L21.0002 2.9999ZM10.5099 3.00186L9.49992 3.00186L6.58083 2.99601L8.58668 5.00186H10.5099V3.00186Z"
    }
  }]
};
var JumpOff = Vue.extend({
  name: "JumpOffIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = _objectWithoutProperties(props, _excluded);
    var _useSizeProps = useSizeProps(size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "jump-off",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(IconBase, data);
  }
});

export default JumpOff;
//# sourceMappingURL=jump-off.js.map
