import { _ as _defineProperty } from '../_chunks/dep-a77ab85e.js';
import { _ as _objectWithoutProperties } from '../_chunks/dep-0acb3ad3.js';
import Vue from 'vue';
import IconBase from '../icon.js';
import useSizeProps from '../utils/use-size-props.js';
import 'classnames';
import '../utils/use-common-classname.js';
import '../utils/config-context.js';

var _excluded = ["size"];
function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); enumerableOnly && (symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; })), keys.push.apply(keys, symbols); } return keys; }
function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = null != arguments[i] ? arguments[i] : {}; i % 2 ? ownKeys(Object(source), !0).forEach(function (key) { _defineProperty(target, key, source[key]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)) : ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } return target; }
var element = {
  "tag": "svg",
  "attrs": {
    "fill": "none",
    "viewBox": "0 0 24 24",
    "width": "1em",
    "height": "1em"
  },
  "children": [{
    "tag": "path",
    "attrs": {
      "fill": "currentColor",
      "d": "M13.2925 3.95949C15.1558 2.09618 18.1768 2.09619 20.0401 3.95949C21.9034 5.8228 21.9034 8.84381 20.0401 10.7071L17.0094 13.7379L15.5952 12.3236L18.6259 9.29291C19.7082 8.21065 19.7082 6.45596 18.6259 5.37371C17.5436 4.29145 15.789 4.29145 14.7067 5.3737L11.676 8.40444L10.2617 6.99023L13.2925 3.95949ZM15.4125 9.99989L9.99826 15.4142L8.58405 14L13.9983 8.58568L15.4125 9.99989ZM8.40395 11.6764L5.37322 14.7072C4.29096 15.7894 4.29096 17.5441 5.37322 18.6264C6.45547 19.7086 8.21016 19.7086 9.29242 18.6264L12.3232 15.5956L13.7374 17.0099L10.7066 20.0406C8.84333 21.9039 5.82231 21.9039 3.959 20.0406C2.0957 18.1773 2.0957 15.1563 3.959 13.293L6.98974 10.2622L8.40395 11.6764Z"
    }
  }]
};
var Link = Vue.extend({
  name: "LinkIcon",
  functional: true,
  props: {
    size: {
      type: String
    },
    onClick: {
      type: Function
    }
  },
  render: function render(createElement, context) {
    var props = context.props,
      data = context.data;
    var size = props.size,
      otherProps = _objectWithoutProperties(props, _excluded);
    var _useSizeProps = useSizeProps(size),
      className = _useSizeProps.className,
      style = _useSizeProps.style;
    var fullProps = _objectSpread(_objectSpread({}, otherProps || {}), {}, {
      id: "link",
      icon: element,
      staticClass: className,
      style: style
    });
    data.props = fullProps;
    return createElement(IconBase, data);
  }
});

export default Link;
//# sourceMappingURL=link.js.map
