'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var utils_useCommonClassname = require('./use-common-classname.js');
require('./config-context.js');

function useSizeProps(size) {
  if (size === void 0) {
    return {
      className: "",
      style: {}
    };
  }
  var COMMON_SIZE_CLASS_NAMES = utils_useCommonClassname['default']().SIZE;
  if (!(size in COMMON_SIZE_CLASS_NAMES)) {
    return {
      className: "",
      style: {
        fontSize: size
      }
    };
  }
  return {
    className: COMMON_SIZE_CLASS_NAMES[size],
    style: {}
  };
}

exports.default = useSizeProps;
//# sourceMappingURL=use-size-props.js.map
